cURL
curl https://api.scrapio.dev/v1/monitors/sch_abc123/changes/latest \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/monitors/{id}/changes/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/monitors/{id}/changes/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"id": "<string>",
"scheduleId": "<string>",
"tenantId": "<string>",
"runId": "<string>",
"previousRunId": "<string>",
"changes": [
{
"field": "<string>",
"previousValue": "<unknown>",
"newValue": "<unknown>"
}
],
"detectedAt": "2023-11-07T05:31:56Z"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Monitors
Get latest change
The most recently detected change.
GET
/
v1
/
monitors
/
{id}
/
changes
/
latest
cURL
curl https://api.scrapio.dev/v1/monitors/sch_abc123/changes/latest \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/monitors/{id}/changes/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/monitors/{id}/changes/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"id": "<string>",
"scheduleId": "<string>",
"tenantId": "<string>",
"runId": "<string>",
"previousRunId": "<string>",
"changes": [
{
"field": "<string>",
"previousValue": "<unknown>",
"newValue": "<unknown>"
}
],
"detectedAt": "2023-11-07T05:31:56Z"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Monitor id.
Example:
"sch_abc123"
Response
The most recently detected change.
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I